%global srcname rpdb
%global sum A wrapper around pdb allowing remote debugging


Name: python-%{srcname}
Version: 0.1.5
Release: 2%{?dist}.1
Summary: %{sum}
License: BSD
URL: https://github.com/tamentis/%{srcname}
Source0: https://github.com/tamentis/%{srcname}/archive/%{version}.tar.gz
Patch0: setup.py.encoding.patch
BuildArch: noarch
BuildRequires: python2-devel python34-devel


%description
A wrapper around pdb allowing remote debugging via netcat or telnet.
This is especially useful in a Tomcat/Jython environment where little
debugging tools are available.


%package -n python2-%{srcname}
Summary: %{sum}
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
A wrapper around pdb allowing remote debugging via netcat or telnet.
This is especially useful in a Tomcat/Jython environment where little
debugging tools are available.


%package -n python3-%{srcname}
Summary: %{sum}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
A wrapper around pdb allowing remote debugging via netcat or telnet.
This is especially useful in a Tomcat/Jython environment where little
debugging tools are available.


%prep
%autosetup -n %{srcname}-%{version}


%build
%py2_build
%py3_build


%install
%py2_install
%py3_install


%files -n python2-%{srcname}
%license LICENSE.txt
%doc README.rst
%{python2_sitelib}/%{srcname}
%{python2_sitelib}/*.egg-info


%files -n python3-%{srcname}
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/*.egg-info


%changelog
* Fri Nov 27 2015 Randy Barlow <randy@electronsweatshop.com> 0.1.5-2.el7.1
- Change the bdep to python34-devel instead of python3-devel for EL 7.

* Mon Nov 23 2015 Randy Barlow <randy@electronsweatshop.com> 0.1.5-2
- Include more explicit paths in the files section.

* Fri Nov 20 2015 Randy Barlow <randy@electronsweatshop.com> 0.1.5-1
- Initial release
